Kerbal Space Program - Feedback #4807

Engineer's Report does not recognize Stayputnik as utilizer of ElectricalCharge
04/29/2015 06:03 AM - Moleculor

Status: Updated

Severity: Low

Assignee:

Category: Gameplay

Target version:

Version: 1.0 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Create a new craft in the VAB.
Select a Stayputnik Mk 1 as the root object.
Look at the Engineer's Report. It reports that nothing is using the ElectricalCharge resource on the Stayputnik.

Expected Result: It should recognize that the Stayputnik uses ElectricalCharge.

History

#1 - 07/27/2015 05:57 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#3 - 07/17/2016 09:32 AM - TriggerAu

- Status changed from New to Needs Clarification

#4 - 07/26/2016 12:19 AM - Moleculor

- Status changed from Needs Clarification to Updated

- % Done changed from 0 to 10

This is still an issue in 1.1.3. Tested in 64bit.

Please note that none of the other probe types exhibit this behavior from what | can see; the problem only occurs with the Stayputnik.
#5 - 07/29/2016 11:48 AM - sal_vager

- Tracker changed from Bug to Feedback

Actually this can be seen on all probes that do not have reaction wheels, i.e:
Stayputnik

QBE

OKTO2

Rovemate

Only things other than the probes own 'brain' count as consumers, and will shorten the operating life of the probe, e.g reaction wheels (even their
own), lights, wheels etc.

So this is working as designed in this case, it was a deliberate decision to not count probe cores as consumers themselves.
You can see something similar with pods and monopropellant, they contain it but they do not have consumers for that resource.
If you add a consumer to any of those four probes the message will change.

So, not a bug, but valid feedback, perhaps the probes should report 'Electric charge required but not generated' instead.
